//
//  OCView.m
//  BezierPathExample
//
//  Created by Manfred Kress on 25.01.10.
//  Copyright 2010 ObjectiveCeeds. All rights reserved.
//

#import "OCView.h"


@implementation OCView

- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
    }
    return self;
}
//MARK: 1.
/*
- (void)drawRect:(NSRect)dirtyRect {
    
	NSBezierPath *line = [NSBezierPath bezierPath];
	
	[line moveToPoint: NSMakePoint(50, 50)];
	[line lineToPoint: NSMakePoint(100, 50)];
	
	[[NSColor redColor] set];
	[line stroke];
	
}
*/

//MARK: 2.
/*
- (void)drawRect:(NSRect)dirtyRect {
	
	
	NSBezierPath *background = [NSBezierPath bezierPathWithRect: dirtyRect];
	[[NSColor grayColor] set];
	[background fill];
    
	NSBezierPath *line = [NSBezierPath bezierPath];
	[line moveToPoint: NSMakePoint(50, 50)];
	[line lineToPoint: NSMakePoint(100, 50)];
	[[NSColor redColor] set];
	[line stroke];
	
}
*/

//MARK: 3.
/*
- (void)drawRect:(NSRect)dirtyRect {
 
 
	NSBezierPath *background = [NSBezierPath bezierPathWithRect: dirtyRect];
	[[NSColor grayColor] set];
	[background fill];
	 
	NSBezierPath *line = [NSBezierPath bezierPath];
	[line moveToPoint: NSMakePoint(50, 50)];
	[line lineToPoint: NSMakePoint(100, 50)];
	[[NSColor redColor] set];
	[line stroke];
	
	[[NSColor blackColor] set];
	[background stroke];
 
}
*/
//MARK: 4.
/*
- (void)drawRect:(NSRect)dirtyRect {
	
	
	NSBezierPath *background = [NSBezierPath bezierPathWithRect: dirtyRect];
	[[NSColor grayColor] set];
	[background fill];
	
	NSBezierPath *line = [NSBezierPath bezierPath];
	[line moveToPoint: NSMakePoint(50, 50)];
	[line lineToPoint: NSMakePoint(100, 50)];
	// append an arc.
	[line appendBezierPathWithArcWithCenter: NSMakePoint(100, 70) 
									 radius: 20 
								 startAngle: -90 
								   endAngle: 0];
	
	
	[[NSColor redColor] set];
	[line stroke];
	
	[[NSColor blackColor] set];
	[background stroke];
	
}
*/
//MARK: 5.
/*
- (void)drawRect:(NSRect)dirtyRect {
	
	
	NSBezierPath *background = [NSBezierPath bezierPathWithRect: dirtyRect];
	[[NSColor grayColor] set];
	[background fill];
	
	NSBezierPath *line = [NSBezierPath bezierPath];
	[line moveToPoint: NSMakePoint(50, 50)];
	[line lineToPoint: NSMakePoint(100, 50)];
	// append an arc.
	[line appendBezierPathWithArcWithCenter: NSMakePoint(100, 70) 
									 radius: 20 
								 startAngle: -90 
								   endAngle: 0];

	[[NSColor redColor] set];
	[line stroke];
 
	NSBezierPath *curve = [NSBezierPath bezierPath];
	[curve moveToPoint: NSMakePoint( 50, 150)];
	[curve curveToPoint: NSMakePoint(250, 150) 
		  controlPoint1: NSMakePoint(100, 200) 
		  controlPoint2: NSMakePoint(200, 100)];
	[[NSColor greenColor] set];
	[curve stroke];
	
	[[NSColor blackColor] set];
	[background stroke];
	
}
*/
//MARK: 6.

- (void)drawRect:(NSRect)dirtyRect {
	
	
	NSBezierPath *background = [NSBezierPath bezierPathWithRect: dirtyRect];
	[[NSColor grayColor] set];
	[background fill];
	
	NSBezierPath *line = [NSBezierPath bezierPath];
	[line moveToPoint: NSMakePoint(50, 50)];
	[line lineToPoint: NSMakePoint(100, 50)];
	// append an arc.
	[line appendBezierPathWithArcWithCenter: NSMakePoint(100, 70) 
									 radius: 20 
								 startAngle: -90 
								   endAngle: 0];
	
	[[NSColor redColor] set];
	[line stroke];
	
	NSBezierPath *curve = [NSBezierPath bezierPath];
	[curve moveToPoint: NSMakePoint( 50, 150)];
	[curve curveToPoint: NSMakePoint(250, 150) 
		  controlPoint1: NSMakePoint(100, 200) 
		  controlPoint2: NSMakePoint(200, 100)];
	[[NSColor greenColor] set];
	[curve stroke];
	
	NSBezierPath *egg = [NSBezierPath bezierPath];
	[egg moveToPoint: NSMakePoint( 100, 200)];
	[egg curveToPoint: NSMakePoint(100, 300) 
		controlPoint1: NSMakePoint(20, 200) 
		controlPoint2: NSMakePoint(20, 300)];
	
	[egg curveToPoint: NSMakePoint(100, 200) 
		controlPoint1: NSMakePoint(300, 300) 
		controlPoint2: NSMakePoint(300, 200)];
	
	[egg closePath];
	
	[[NSColor blueColor] set];
	[egg fill];
	[[NSColor blackColor] set];
	[egg stroke];
	
	
	[[NSColor blackColor] set];
	[background stroke];
	
}

@end
